List all Usage Metrics
List all Usage Metrics
Documentation Index
Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.next or pagination.previous to retrieve each page.
Filter metrics by name (case-insensitive substring)
Filter metrics by ID (case-insensitive substring)
Filter metrics by event type(s). Comma-separated; individual values must be percent-encoded so values containing commas are preserved.
Filter metrics by aggregation property name(s). Comma-separated; individual values must be percent-encoded so values containing commas are preserved.
Filter metrics by aggregation type(s); comma-separated
Response
OK
Usage metrics
[
{
"id": "f092246c-6b90-4106-bcca-304ccf06bf45",
"sequenceAccountId": "ec1479a2-6ba1-421f-a7de-0853a20d17a1",
"name": "Total length of sent messages.",
"description": "Total length of sent messages.",
"metricType": "GROUPED",
"eventType": "message_sent",
"aggregationType": "COUNT",
"aggregationProperty": "message_length",
"groupingProperty": "channel",
"unit": "bytes",
"createdAt": "2022-06-28T16:47:00Z",
"deletedAt": "2022-06-28T16:47:00Z",
"propertyFilters": { "channels": ["text", "email"] },
"caseSensitive": true,
"propertiesToNegate": ["channels"],
"parameters": [
{
"id": "2963e49a-c8e0-4673-89f5-7a805c0faf14",
"usageMetricId": "f092246c-6b90-4106-bcca-304ccf06bf45",
"name": "myParam",
"type": "INTEGER",
"description": "My parameter",
"defaultValue": "10"
}
]
}
]Results pagination
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}